iOS高德地图SDK(3D) V11.2.0001

Class Methods | Properties | List of all members
MAHeatMapVectorGridOverlay Class Reference

`#import <MAHeatMapVectorGridOverlay.h>`

Inheritance diagram for MAHeatMapVectorGridOverlay:

## Class Methods
(instancetype) | + heatMapOverlayWithOption:
| 根据配置属性option生成MAHeatMapVectorGridOverlay Generate MAHeatMapVectorGridOverlay based on configuration property option More...

## Properties
MAHeatMapVectorGridOverlayOptions * | option
Properties inherited from MAShape
NSString * | title
| 标题 Title More...
NSString * | subtitle
| 副标题 Subtitle More...
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title More...
NSString * | _subtitle
| 副标题 Subtitle More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

矢量热力图，支持类型详见MAHeatMapType Vector heatmap, supported types can be found in MAHeatMapType

## Method Documentation

## ◆ heatMapOverlayWithOption:

+ (instancetype) heatMapOverlayWithOption: |  | (MAHeatMapVectorGridOverlayOptions *) | option |

根据配置属性option生成MAHeatMapVectorGridOverlay Generate MAHeatMapVectorGridOverlay based on configuration property option

Parameters

  option | 热力图配置属性option Heatmap configuration property option

Returns
  新生成的热力图MAHeatMapVectorGridOverlay Newly generated heatmap MAHeatMapVectorGridOverlay

## Property Documentation

## ◆ option

- (MAHeatMapVectorGridOverlayOptions*) option
| read write nonatomic strong

热力图的配置属性 Configuration properties of the heatmap

The documentation for this class was generated from the following file:

- MAHeatMapVectorGridOverlay.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。